# Issuing Billing Transaction

The Issuing Billing Transaction resource represents an entry that composes an issuing billing invoice.

Each purchase or withdrawal settled in a billing period generates billing transactions, including the installments of installment purchases.

### The Issuing Billing Transaction object

**Attributes**

| Name | Type | Description |
| --- | --- | --- |
| `id` | STRING | Unique identifier for the issuing billing transaction. |
| `installment` | INTEGER | Number of this installment. Example: 1. |
| `installmentCount` | INTEGER | Total number of installments of the source purchase. Example: 3. |
| `amount` | INTEGER | Transaction amount in cents. Example: 30000 (= R$ 300.00). |
| `balance` | INTEGER | Invoice balance in cents after this transaction. |
| `source` | STRING | Entity that originated the transaction. Example: "issuing-purchase/5155165527080960". |
| `externalId` | STRING | Unique external identifier of the transaction. |
| `description` | STRING | Transaction description, usually the merchant name. |
| `cardEnding` | STRING | Last 4 digits of the card that originated the transaction. Example: "1234". |
| `holderName` | STRING | Name of the holder of the card that originated the transaction. |
| `tax` | INTEGER | IOF amount in cents applied to the transaction. |
| `rate` | FLOAT | Conversion rate applied to international transactions. |
| `merchantAmount` | INTEGER | Amount in cents in the merchant currency. Example: 30000. |
| `merchantCurrencyCode` | STRING | Currency code of the merchant amount. Example: "BRL". |
| `created` | STRING | Creation datetime. Example: "2022-01-01T00:00:00.000000+00:00". |

### List Issuing Billing Transactions

`GET /v2/issuing-billing-transaction`

Get a list of issuing billing transactions in chunks of at most 100.

**Parameters**

| Name | Required | Description |
| --- | --- | --- |
| `limit` | OPTIONAL | Number of results per cursor. Max = 100. |
| `cursor` | OPTIONAL | String used to get the next batch of results. Our SDKs handle this for you. |
| `after` | OPTIONAL | Filter entities created after this date. |
| `before` | OPTIONAL | Filter entities created before this date. |
| `invoiceId` | OPTIONAL | Filter transactions that compose a specific IssuingBillingInvoice. |
| `ids` | OPTIONAL | List of strings to get specific entities by ids. |
| `tags` | OPTIONAL | List of strings to filter entities by tags. |

**Request**

```python
import starkinfra

transactions = starkinfra.issuingbillingtransaction.query(
    limit=10,
    invoice_id="5715709195239424"
)

for transaction in transactions:
    print(transaction)
```

**Response**

```python
IssuingBillingTransaction(
    id=5715709195239424,
    installment=1,
    installment_count=3,
    amount=30000,
    balance=60000,
    source=issuing-purchase/5155165527080960,
    external_id=5155165527080960-1,
    description=Stark Coffee Shop,
    card_ending=1234,
    holder_name=Tony Stark,
    tax=0,
    rate=1.0,
    merchant_amount=30000,
    merchant_currency_code=BRL,
    created=2022-01-01 00:00:00
)
```

## Available Languages

Code samples on this page are in Python. The same content is available with samples in:

- [Python](https://docs.starkinfra.com/api/v2/issuing-billing-transaction-python.md)
- [Node.js](https://docs.starkinfra.com/api/v2/issuing-billing-transaction-node.md)
- [PHP](https://docs.starkinfra.com/api/v2/issuing-billing-transaction-php.md)
- [Java](https://docs.starkinfra.com/api/v2/issuing-billing-transaction-java.md)
- [Ruby](https://docs.starkinfra.com/api/v2/issuing-billing-transaction-ruby.md)
- [Elixir](https://docs.starkinfra.com/api/v2/issuing-billing-transaction-elixir.md)
- [.NET](https://docs.starkinfra.com/api/v2/issuing-billing-transaction-dotnet.md)
- [Go](https://docs.starkinfra.com/api/v2/issuing-billing-transaction-go.md)
- [Clojure](https://docs.starkinfra.com/api/v2/issuing-billing-transaction-clojure.md)
- [cURL](https://docs.starkinfra.com/api/v2/issuing-billing-transaction-curl.md)
